[Twisted-Python] Who's using Gtk reactor? (Gtk 1.x reactor)

Jean-Paul Calderone exarkun at divmod.com
Thu Sep 20 08:11:06 EDT 2007

On Mon, 17 Sep 2007 09:23:22 -0400, Itamar Shtull-Trauring <itamar at itamarst.org> wrote:
>On Sun, 2007-09-16 at 11:25 -0400, Jean-Paul Calderone wrote:
>> Greetings,
>> As part of the work I've been doing to fix a bug in epoll reactor's handling
>> of "unclean" tcp disconnection (the case which gives ConnectionLost instead
>> of ConnectionDone), I've noticed that gtk reactor also doesn't handle this
>> case correctly.
>Just to clarify, JP is talking about the reactor for the long
>unmaintained Gtk 1.x library, last released in 2001. Modern Gtk and
>Gnome programs use Gtk 2.x for which Twisted provides the gtk2 and glib2

Thanks for that clarification.  Since there's been no response thus far, I've
created a ticket to deprecate the reactor - #2833.  This will probably happen
before Twisted 2.6.  Any other discussion should probably be directed at that


More information about the Twisted-Python mailing list